GET /calendar/today

Get a list of today's events in the Queer Calendar

Headers

  • Accept string Required

    The format to return errors in (if applicable) and, for some endpoints, the format to return the data in. In general, we recommend having it set to application/json

    Values are application/json, text/calendar, text/plain, or text/html. Default value is application/json.

Responses

  • 200 application/json

    A JSON array of today's events in the Queer Calendar

    Hide response attributes Show response attributes object
    • day string(date) Required

      The date of the calendar day in ISO 8601 format (YYYY-MM-DD)

    • image string Required

      A link to an image representing the calendar day and its events

    • message string Required

      A human-readable summary describing the calendar day and its events

    • events array[string] Required

      A list of the names of the calendar events occurring on this day

    • eventsRaw array[object] Required

      A list of the calendar events occurring on this day with their full information

      Hide eventsRaw attributes Show eventsRaw attributes object
      • name string Required

        The name of the calendar event

      • display object Required
        Hide display attributes Show display attributes object
        • type string Required

          The type of the calendar event

        • name string Required

          The name of the calendar event

      • month integer Required

        The month the calendar event occurs on

      • level integer Required

        The level of the calendar event. 0 means it spans a whole month, 1 means it spans a whole week, 2 means it is a name day, 3 means it spans a single day, 4 means it is a custom, user-defined event (e.g. an individual birthday).

        Values are 0, 1, 2, 3, or 4.

      • terms array[string] Required

        The terms associated with the calendar event. See key of Term

      • localCalendar string | null Required

        The date as specified in a local, non-gregorian calendar

      • comment string | null Required

        A comment about the calendar event

  • default application/json

    Basic Error Response

    Hide response attributes Show response attributes object
    • statusCode number Required

      The HTTP Status Code associated with the error

    • error boolean Required

      Indicates that the response is an error

      Value is true.

    • statusMessage string Required

      The message associated with the error

    • message string Required

      The message associated with the error (client visible)

    • url string Required

      The URL that was requested which resulted in the error

GET /calendar/today
curl \
 --request GET 'https://en.pronouns.page/api/public/v3/calendar/today' \
 --header "Accept: application/json"
Response examples (200)
{
  "day": "2025-09-18",
  "link": "https://en.pronouns.page/calendar/2025-09-18",
  "image": "https://en.pronouns.page/calendar/en/2025-09-18.png",
  "message": "[English] 2025-09-18\n\nWe're celebrating/commemorating:\n - HIV/AIDS and Aging Awareness Day\n - Bisexual Awareness Week\n - Suicide Prevention Month\n - Diversity Month (Uruguay)\n\nhttps://en.pronouns.page/calendar/2025-09-18",
  "events": [
    "HIV/AIDS and Aging Awareness Day",
    "Bisexual Awareness Week",
    "Suicide Prevention Month",
    "Diversity Month (Uruguay)"
  ],
  "eventsRaw": [
    {
      "name": "hiv_aging_awareness_day",
      "display": {
        "type": "flag",
        "name": "_red-ribbon"
      },
      "month": 9,
      "level": 3,
      "terms": [
        "aids"
      ],
      "localCalendar": null,
      "yearCondition": null,
      "comment": null
    },
    {
      "name": "bisexual_week",
      "display": {
        "type": "flag",
        "name": "Bisexual"
      },
      "month": 9,
      "level": 1,
      "terms": [
        "bisexual"
      ],
      "localCalendar": null,
      "yearCondition": null,
      "comment": null
    },
    {
      "name": "suicide_prevention_month",
      "display": {
        "type": "flag",
        "name": "_yellow-ribbon"
      },
      "month": 9,
      "level": 0,
      "terms": [],
      "localCalendar": null,
      "yearCondition": null,
      "comment": null
    },
    {
      "name": "Diversity Month (Uruguay)",
      "display": {
        "type": "flag",
        "name": "LGBTQ"
      },
      "month": 9,
      "level": 0,
      "terms": [],
      "localCalendar": null,
      "yearCondition": null,
      "comment": null
    }
  ]
}
Response examples (default)
The request contains invalid content
{
  "error": true,
  "statusCode": 400,
  "statusMessage": "Bad Request",
  "message": "XYZ contains an invalid value",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The user requesting this data is not authorised to access the requested section
{
  "error": true,
  "statusCode": 401,
  "statusMessage": "Unauthorised",
  "message": "You are not authorised to access this content",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested item could not be resolved/located
{
  "error": true,
  "statusCode": 404,
  "statusMessage": "Not Found",
  "message": "Requested Item Not Found",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested API version has either been completely removed or marked as depreciated
{
  "error": true,
  "statusCode": 410,
  "statusMessage": "Gone",
  "message": "v1 has been marked as depreciated; please use v2 or v3",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
Unknown Server Error
{
  "error": true,
  "statusCode": 500,
  "statusMessage": "Server Error",
  "message": "An unknown server error has occured, please try again later",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}